/* Modal
--------------------------------*/

.modal {
    // display: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-y: auto;
    z-index: 80;
    background: rgba(#fff, 0.2);
    backdrop-filter: blur(5px);
}

.modal__inner {
    position: relative;
    z-index: 1;
    margin: 0;

    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    min-height: 100%;
    overflow: auto;

    .container {
        padding-top: 60px;
        padding-bottom: 60px;
    }

}

.modal__close {
    padding: 15px;
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
    svg {
        display: block;
        width: 30px;
        height: 30px;
    }
    &:hover {
        opacity: 0.7;
    }
    // @media(min-width: $lg) {
    //     top: 38px;
    //     right: 35px;
    //     svg {
    //         display: block;
    //         width: auto;
    //         height: auto;
    //     }
    // }
}

.modal__header {
    .h2 {
        font-size: 24px;
        line-height: 50px;
    }
    @media(min-width: $md) {
        .h2 {
            font-size: 36px;
            line-height: 50px;
        }
    }
}

.modal__content {
    padding: 20px 20px 30px;
    position: relative;
    margin: 0 auto;

    width: 100%;
    max-width: 816px;

    display: flex;
    flex-direction: column;
    border-radius: 20px;
    background: $black;

    p {
        word-break: break-word;
    }

    .ex-link {
        display: inline-flex;
        align-items: center;
        .i-ex {
            margin-left: 4px;
        }
    }

    @media(min-width: $sm) {
        padding: 30px 30px 40px;

    }

    @media(min-width: $md) {
        padding: 50px 50px 60px;

    }
}

.modal-lg {
    .modal__content {
        max-width: 1200px;
    }
}

.modal__btns {
    display: flex;
    flex-direction: column;
    margin: 0 -15px;

    .btn {
        width: 100%;
        text-align: center;
        min-width: 250px;
    }

    .col {
        padding: 0 15px;
        margin-bottom: 15px;
        &:last-child {
            margin-bottom: 0;
        }
    }

    @media(min-width: $sm) {
        flex-direction: row;
        .col {
            width: auto;
        }
    }
}


/* Info Modals  (success, errors, loading)
--------------------------------------------------*/
.c-info {
    position: relative;
    line-height: 1.5em;

    .h2 {
        margin-bottom: 24px;
        font-size: 30px;
        line-height: 1.4em;
    }

    &.no-image {
        .c-info__text {
            padding-left: 0;
            padding-top: 0;
        }
        .c-info__img {
            display: none;
        }
    }



    @media(min-width: $md) {
        min-height: 90px;
        .h2 {
            font-size: 36px;
            margin-bottom: 32px;
        }

        &.only-title {
            display: flex;
            align-items: center;
            .h2 {
                margin-bottom: 0;
            }
            .c-info__img {
                top: 50%;
                margin-top: -95px
            }
        }
    }
}

.c-info__img {
    position: absolute;
    width: 160px;
    height: 160px;
    left: 50%;
    margin-left: -80px;
    margin-top: -80px;
    background-color: $black;
    border-radius: 50%;

    img {
        width: 100%;
        height: auto;
    }

    @media(min-width: $md) {
        top: 0;
        left: 0;
        margin-top: -50px;
        margin-left: -140px;
        width: 200px;
        height: 200px;
    }
}

.c-info__text {
    padding-top: 80px;

    @media(min-width: $md) {
        padding-top: 0;
        padding-left: 90px;
    }
}

.details-c-wrap {
    background-color: rgba(#000, 0.5);
    border-radius: 10px;
    overflow: hidden;
    .c-wrap__toggle {
        padding: 1em;
        color: $green1;
        &:hover {
            color: #fff;
        }
    }
    .c-wrap__dropdown {
        padding: 0.5em 1em 1em;
    }
    p:first-child {
        margin-top: 0;
    }

    @media(min-width: $md) {
        .c-wrap__toggle:after {
            right: 1em;
        }
    }
}


// .c-success {
//     text-align: center;

//     .h2 {
//         margin-bottom: 20px;
//         font-size: 32px;
//         line-height: 1.4em;
//         padding-right: 40px;
//         padding-left: 40px;
//     }

//     .modal__btns {
//             margin-top: 60px;
//     }

//     p {
//         margin: 0 0 1em;
//         &:last-child {
//             margin-bottom: 0;
//         }
//     }

//     @media(min-width: $md) {
//         .h2 {
//             font-size: 36px;
//             padding-right: 60px;
//             padding-left: 60px;
//         }
//     }

// }

// .c-success__img {
//     display: block;
//     margin: 30px auto 30px;

//     @media(min-width: $md) {
//         margin: 0 auto 30px;
//     }
// }


/* Modal with form
--------------------------------*/

.c-add {
    .h2 {
        margin-bottom: 10px;
        padding-right: 60px;
    }

    // a {
    //     text-decoration: underline;
    //     &:hover {
    //         text-decoration: none;
    //     }
    // }

    .ex-link {
        text-decoration: none;
    }

}

.c-add__text {
    margin-bottom: 40px;
}

.c-add__max {
    margin-bottom: 16px;
    font-weight: 700;
    font-size: 14px;
    line-height: 21px;

    div {
        margin-bottom: 6px;
    }

    a, button {
        color: $green1;
        background-color: transparent;
        border: 0;
        padding: 0;
        text-decoration: underline;
        margin-left: 4px;
        font-weight: 700;
        &:hover {
            text-decoration: none;
        }
    }

    .sum {
        color: $green1;
        margin-left: 4px;
        font-weight: 700;
    }

    @media(min-width: $sm) {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        div {
            margin-right: 30px;
            margin-bottom: 0;
        }
    }
}

.c-add__form {
    .link-about {
        display: inline-block;
        margin-top: 12px;
    }

    .form-row {
        flex-wrap: wrap;
        margin: 0 -10px;
        justify-content: flex-start;
    }

    .col {
        padding: 0 10px;
    }

    @media(min-width: $sm) {
        .col {
        }
        .btn {
            margin-top: 0;
        }
    }
}

.modal__disclaimer {
    font-size: 0.8em;
    line-height: 1.4em;
    margin-top: 32px;
    color: rgba(#fff, 0.7);
    p {
        &:last-child {
            margin-bottom: 0;
        }
    }
}


/* Modal Approve with Steps
--------------------------------*/

.c-approve__step {
    padding-left: 1em;
    padding-right: 1em;
    background-color: $gray;
    border-radius: 10px;
    margin-bottom: 20px;
    text-align: center;

    font-weight: bold;

    &:last-child {
        margin-bottom: 0;
    }

    .row {
        min-height: 70px;
        padding: 1.25em 0;
    }

    img {
        display: block;
    }

    .dots {
        display: none;
    }

    .status {
        display: inline-block;
        margin: 0 auto 1em;
    }

    .loader {
        animation: spin 1.5s linear infinite;
    }

    &.in-queue {
        background-color: rgba($gray, 0.6);
        color: rgba(#fff, 0.3);
    }
    &.active {
        .dots {
            display: inline;
        }

        .current {
            color: $orange;
        }
    }


    @media(min-width: $sm) {
        .row {
            justify-content: space-between;
            align-items: center;
            padding: 0;
        }
        .status {
            display: inline-block;
            margin: 0;
        }

    }

    @media(min-width: $lg) {
        padding-left: 1.5em;
        padding-right: 1em;
        padding-top: 2px;

        font-size: 24px;

        .status {
            font-size: 16px;
        }
    }
}

.modal__footer-fixed {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 102;

    &.footer-lg .modal__footer-content {
        max-width: 1200px;
        margin: 0 auto;
    }
}

.modal__footer-content {
    background-color: $gray;
    padding: 12px 24px;
}

.modal-with-footer {
    .modal__content {
        min-height: calc(95vh - 80px);
        padding-bottom: 100px;
    }
}